#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
#include "DHT.h"
LiquidCrystal_I2C lcd(0x27,20,4); 
#define DHTPIN 2     // what digital pin we're connected to
#define DHTTYPE DHT22   // DHT 22  (AM2302), AM2321
int buzzer = 6; //Define buzzerPin
int heater = 1;
int Humidifier= 10;
DHT dht(DHTPIN, DHTTYPE);
void setup() {
  pinMode(heater, OUTPUT);
  pinMode(Humidifier, OUTPUT);
  Serial.begin(9600);
  Serial.println("DHTxx test!");
  dht.begin();
  lcd.init();                      // initialize the lcd 
  lcd.init();
  lcd.backlight();
  pinMode(buzzer, OUTPUT); //Set buzzerPin as output
}
void loop() {
  delay(1000);
  float h = dht.readHumidity();
  float t = dht.readTemperature();
  float f = dht.readTemperature(true);
  if (isnan(h) || isnan(t) || isnan(f)) {
    Serial.println("Failed to read from DHT sensor!");
    return;
  }
  float hif = dht.computeHeatIndex(f, h);
  // Compute heat index in Celsius (isFahreheit = false)
  float hic = dht.computeHeatIndex(t, h, false);
  Serial.print("Humidity: ");
  Serial.print(h);
  Serial.print(" %\t");
  Serial.print("Temperature: ");
  Serial.print(t);
  Serial.print(" *C ");
  Serial.print(f);
  Serial.print(" *F\t");
  Serial.print("Heat index: ");
  Serial.print(hic);
  Serial.print(" *C ");
  Serial.print(hif);
  Serial.println(" *F");

  lcd.setCursor(0,0);
  lcd.print("**BABY INCUBATOR**");
  lcd.setCursor(0,1);
  lcd.print("TEMPERATURE:");
  lcd.print(t);
  lcd.print("*C");
  lcd.setCursor(0,2);
  lcd.print("HUMIDITY:");
  lcd.print(h);
  lcd.print("%\t"); 
if (t<34 || h<40){

  lcd.setCursor(0,3);
  lcd.print("**HEATER IS ON**");
  tone(buzzer, 1000); // Send 1KHz sound signal...
  delay(100);        // ...for 1 sec
 noTone(buzzer);     // Stop sound...
 delay(100); 
}
if (t<34 || h<40){
  digitalWrite(heater, HIGH);
  }
else if (t>=38 || h>=65){
  lcd.setCursor(0,0);
  lcd.print("**BABY INCUBATOR**");
  lcd.setCursor(0,1);
  lcd.print("TEMPERATURE:");
  lcd.print(t);
  lcd.print("*C");
  lcd.setCursor(0,2);
  lcd.print("HUMIDITY:");
  lcd.print(h);
  lcd.print("%\t"); 
  lcd.setCursor(0,3);
  lcd.print("**HUMIDIFIER IS ON**");
  tone(buzzer, 700); 
  delay(100);        // ...for 1 sec
 noTone(buzzer);     // Stop sound...
 delay(100); 
   digitalWrite(heater, LOW);
   digitalWrite(Humidifier, HIGH);
  }
 else if (t>=38 || h>=65){
  lcd.setCursor(0,0);
  lcd.print("**BABY INCUBATOR**");
  lcd.setCursor(0,1);
  lcd.print("TEMPERATURE:");
  lcd.print(t);
  lcd.print("*C");
  lcd.setCursor(0,2);
  lcd.print("HUMIDITY:");
  lcd.print(h);
  lcd.print("%\t"); 
  lcd.setCursor(0,3);
  lcd.print("**NORMAL CONDITION**");
    digitalWrite(heater, LOW);
    digitalWrite(Humidifier,LOW);
    noTone(buzzer); 
    }}

